Show / Hide Table of Contents

# Class SocketEntity<T>

##### Inheritance

System.Object
SocketEntity<T>
SocketChannel
SocketGuild
SocketMessage
SocketRole
SocketUser

##### Implements

IEntity<T>

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.WebSocket

###### Assembly: Discord.Net.WebSocket.dll

##### Syntax

    public abstract class SocketEntity<T> : IEntity<T> where T : IEquatable<T>

##### Type Parameters

Name | Description
--- | ---
T |

### Properties

| Improve this Doc View Source

#### Id

##### Declaration

    public T Id { get; }

##### Property Value

Type | Description
--- | ---
T |

### Implements

IEntity<TId>